Announcement Announcement Module
Collapse
No announcement yet.
GGTS 3.0.0.M3: can't install Gradle support Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • GGTS 3.0.0.M3: can't install Gradle support

    Just installed said version on Mac OS X (with installer, Cocoa 64bit), but I'm not able to install the Gradle Support via Dashboard -> Extensions.

    Message (in dialog and workspace log) is:
    Code:
    !ENTRY org.eclipse.mylyn.discovery.ui 4 0 2012-07-09 16:15:48.759
    !MESSAGE Problems occurred while performing installation: The following connectors are not available: Gradle Support (id=com.springsource.sts.gradle.feature.feature.group, site=http://dist.springsource.com/milestone/TOOLS/gradle)
    !STACK 1
    org.eclipse.core.runtime.CoreException: The following connectors are not available: Gradle Support (id=com.springsource.sts.gradle.feature.feature.group, site=http://dist.springsource.com/milestone/TOOLS/gradle)
            at org.eclipse.mylyn.internal.discovery.ui.PrepareInstallProfileJob_e_3_6.checkForUnavailable(PrepareInstallProfileJob_e_3_6.java:300)
            at org.eclipse.mylyn.internal.discovery.ui.PrepareInstallProfileJob_e_3_6.computeInstallableUnits(PrepareInstallProfileJob_e_3_6.java:210)
            at org.eclipse.mylyn.internal.discovery.ui.PrepareInstallProfileJob_e_3_6.run(PrepareInstallProfileJob_e_3_6.java:95)
            at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
    !SUBENTRY 1 org.eclipse.mylyn.discovery.ui 4 0 2012-07-09 16:15:48.761
    !MESSAGE The following connectors are not available: Gradle Support (id=com.springsource.sts.gradle.feature.feature.group, site=http://dist.springsource.com/milestone/TOOLS/gradle)
    Mac OS X version is 10.7.4, Java version is 1.6.0_33

  • #2
    I could, however, install the "STS-Extensions -> Gradle Integration" feature from the peeconfigured software update site manually via Help -> Install new software.

    Comment


    • #3
      Could be the dashboard extension listing is broken. Package and feature names have changed in 3.0.0.M3 and from your error it looks like the dashboard listing has not been updated accordingly. Thanks for letting us now I will look into it.

      Kris
      Last edited by Kris De Volder; Jul 10th, 2012, 12:30 PM.

      Comment


      • #4
        I've updated the gradle listing. Should work now.

        Thanks again for reporting the problem.

        Kris

        Comment


        • #5
          Indeed it does work now, showing the "Gradle Support" extension as installed.

          Comment

          Working...
          X